<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="class_user_adder_dialog" kind="class" language="C++" prot="public">
    <compoundname>UserAdderDialog</compoundname>
    <basecompoundref refid="class_user_details_dialog" prot="public" virt="non-virtual">UserDetailsDialog</basecompoundref>
    <includes refid="_user_adder_dialog_8h" local="no">UserAdderDialog.h</includes>
      <sectiondef kind="private-attrib">
      <memberdef kind="variable" id="class_user_adder_dialog_1a85a22a577ed5f5d3193772b0b302a515" prot="private" static="no" mutable="no">
        <type>QCheckBox *</type>
        <definition>QCheckBox* UserAdderDialog::adminStatusCheckBox</definition>
        <argsstring></argsstring>
        <name>adminStatusCheckBox</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="58" column="1" bodyfile="gui/dialogs/UserAdderDialog/UserAdderDialog.h" bodystart="58" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_user_adder_dialog_1a7759597f8ccb917d9cf12b40d7e6ed67" prot="private" static="no" mutable="no">
        <type>QPushButton *</type>
        <definition>QPushButton* UserAdderDialog::addNewUserButton</definition>
        <argsstring></argsstring>
        <name>addNewUserButton</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="59" column="1" bodyfile="gui/dialogs/UserAdderDialog/UserAdderDialog.h" bodystart="59" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="class_user_adder_dialog_1a8230aa5dc07c3e07832f4a3034f789e9" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>UserAdderDialog::UserAdderDialog</definition>
        <argsstring>(QWidget *parent=0)</argsstring>
        <name>UserAdderDialog</name>
        <param>
          <type>QWidget *</type>
          <declname>parent</declname>
          <defval>0</defval>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>New dialog <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>parent</parametername>
</parameternamelist>
<parameterdescription>
<para>parent widget to show dialog in </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>new dialog</para></simplesect>
Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="33" column="1" bodyfile="gui/dialogs/UserAdderDialog/UserAdderDialog.cpp" bodystart="26" bodyend="32"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-slot">
      <memberdef kind="slot" id="class_user_adder_dialog_1abed48a584fce170c45d7dead59c76323" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void UserAdderDialog::addNewUser</definition>
        <argsstring>()</argsstring>
        <name>addNewUser</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to add new user to library </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="40" column="1" bodyfile="gui/dialogs/UserAdderDialog/UserAdderDialog.cpp" bodystart="34" bodyend="36"/>
      </memberdef>
      <memberdef kind="slot" id="class_user_adder_dialog_1a8ee1c31eabcb75007f9cfdaa8d8a17b5" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void UserAdderDialog::getAddUserToLibraryRequestResult</definition>
        <argsstring>(bool ok)</argsstring>
        <name>getAddUserToLibraryRequestResult</name>
        <param>
          <type>bool</type>
          <declname>ok</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to add new user to library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ok</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff operation went well </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="46" column="1" bodyfile="gui/dialogs/UserAdderDialog/UserAdderDialog.cpp" bodystart="38" bodyend="50"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="signal">
      <memberdef kind="signal" id="class_user_adder_dialog_1a5d8d9a96bd8884abc8a0a6092ed17b10" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void UserAdderDialog::sendAddUserToLibraryRequest</definition>
        <argsstring>(User user, bool makeAdmin)</argsstring>
        <name>sendAddUserToLibraryRequest</name>
        <param>
          <type><ref refid="class_user" kindref="compound">User</ref></type>
          <declname>user</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>makeAdmin</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to add new user to library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>user</parametername>
</parameternamelist>
<parameterdescription>
<para>new user to add </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>makeAdmin</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff new user should be an admin </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="55" column="1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="private-func">
      <memberdef kind="function" id="class_user_adder_dialog_1a3ae2d5fe6c6d04516d629d1c2184ed74" prot="private" static="no" const="no" explicit="no" inline="no" virt="virtual">
        <type>void</type>
        <definition>void UserAdderDialog::setup</definition>
        <argsstring>()</argsstring>
        <name>setup</name>
        <reimplements refid="class_user_details_dialog_1a26d57836ff8ace4f2ab9e72669873e13">setup</reimplements>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Setups gui </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="64" column="1" bodyfile="gui/dialogs/UserAdderDialog/UserAdderDialog.cpp" bodystart="52" bodyend="70"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para>Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <inheritancegraph>
      <node id="274">
        <label>QDialog</label>
      </node>
      <node id="272">
        <label>UserAdderDialog</label>
        <link refid="class_user_adder_dialog"/>
        <childnode refid="273" relation="public-inheritance">
        </childnode>
      </node>
      <node id="273">
        <label>UserDetailsDialog</label>
        <link refid="class_user_details_dialog"/>
        <childnode refid="274" relation="public-inheritance">
        </childnode>
      </node>
    </inheritancegraph>
    <collaborationgraph>
      <node id="278">
        <label>InlineLabel</label>
        <link refid="class_inline_label"/>
        <childnode refid="279" relation="public-inheritance">
        </childnode>
      </node>
      <node id="277">
        <label>QDialog</label>
      </node>
      <node id="279">
        <label>QWidget</label>
      </node>
      <node id="275">
        <label>UserAdderDialog</label>
        <link refid="class_user_adder_dialog"/>
        <childnode refid="276" relation="public-inheritance">
        </childnode>
      </node>
      <node id="276">
        <label>UserDetailsDialog</label>
        <link refid="class_user_details_dialog"/>
        <childnode refid="277" relation="public-inheritance">
        </childnode>
        <childnode refid="278" relation="usage">
          <edgelabel>surnameLabel</edgelabel>
          <edgelabel>emailLabel</edgelabel>
          <edgelabel>nameLabel</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location file="gui/dialogs/UserAdderDialog/UserAdderDialog.h" line="24" column="1" bodyfile="gui/dialogs/UserAdderDialog/UserAdderDialog.h" bodystart="24" bodyend="65"/>
    <listofallmembers>
      <member refid="class_user_adder_dialog_1abed48a584fce170c45d7dead59c76323" prot="public" virt="non-virtual"><scope>UserAdderDialog</scope><name>addNewUser</name></member>
      <member refid="class_user_adder_dialog_1a7759597f8ccb917d9cf12b40d7e6ed67" prot="private" virt="non-virtual"><scope>UserAdderDialog</scope><name>addNewUserButton</name></member>
      <member refid="class_user_adder_dialog_1a85a22a577ed5f5d3193772b0b302a515" prot="private" virt="non-virtual"><scope>UserAdderDialog</scope><name>adminStatusCheckBox</name></member>
      <member refid="class_user_details_dialog_1a6660c4e9c01c412fb177cc3c0f0242b3" prot="protected" virt="non-virtual"><scope>UserAdderDialog</scope><name>birthDate</name></member>
      <member refid="class_user_details_dialog_1a05ee39e3cefb1177b7adfa92a6be9e88" prot="protected" virt="non-virtual"><scope>UserAdderDialog</scope><name>emailLabel</name></member>
      <member refid="class_user_adder_dialog_1a8ee1c31eabcb75007f9cfdaa8d8a17b5" prot="public" virt="non-virtual"><scope>UserAdderDialog</scope><name>getAddUserToLibraryRequestResult</name></member>
      <member refid="class_user_details_dialog_1a8c7b51e1d31fe8cba8211732563f7112" prot="public" virt="non-virtual"><scope>UserAdderDialog</scope><name>getUser</name></member>
      <member refid="class_user_details_dialog_1ae3979ca6997afb33503814af270ce94d" prot="protected" virt="non-virtual"><scope>UserAdderDialog</scope><name>nameLabel</name></member>
      <member refid="class_user_details_dialog_1a4f05d113fed6ae53bf530b4b213f56c1" prot="public" virt="non-virtual"><scope>UserAdderDialog</scope><name>populate</name></member>
      <member refid="class_user_adder_dialog_1a5d8d9a96bd8884abc8a0a6092ed17b10" prot="public" virt="non-virtual"><scope>UserAdderDialog</scope><name>sendAddUserToLibraryRequest</name></member>
      <member refid="class_user_adder_dialog_1a3ae2d5fe6c6d04516d629d1c2184ed74" prot="private" virt="virtual"><scope>UserAdderDialog</scope><name>setup</name></member>
      <member refid="class_user_details_dialog_1ab4e3f5dc2f481961e053110f2f85255d" prot="protected" virt="non-virtual"><scope>UserAdderDialog</scope><name>surnameLabel</name></member>
      <member refid="class_user_adder_dialog_1a8230aa5dc07c3e07832f4a3034f789e9" prot="public" virt="non-virtual"><scope>UserAdderDialog</scope><name>UserAdderDialog</name></member>
      <member refid="class_user_details_dialog_1a75103e708a793f9d061134d0b698ec3b" prot="public" virt="non-virtual"><scope>UserAdderDialog</scope><name>UserDetailsDialog</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
